<template>
  <div>
    <div class="gauge d-flex flex-column justify-center">
      <div class="gauge-content d-flex">
        <div class="gauge-title">2.9</div>
        <div class="gauge-subtitle">de 5.0 pts</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CircularGauge",
};
</script>

<style scoped lang="scss">
.gauge {
  box-sizing: border-box;
  background: transparent;
  border: 30px solid blue;
  border-radius: 50%;
  width: 260px;
  height: 260px;

  &::before {
    content: "";
    border: 30px solid #16c62e;
    border-left-color: transparent;
    border-radius: 50%;
    border-top-color: transparent;
    height: 16rem;
    left: -30px;
    top: -30px;
    transform: rotate(-45deg);
    position: absolute;
    width: 16rem;
    z-index: 2;
  }
}

.gauge-content {
  text-align: center;
}

.gauge-title {
  font-family: "Roboto";
  font-style: normal;
  font-weight: bold;
  font-size: 70px;
  line-height: 82px;
  text-transform: uppercase;
  color: black;
}

.gauge-subtitle {
  font-family: "Roboto";
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 23px;
  color: #757575;
}
</style>
